!+ Subroutine to read continuum transmissions.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE READ_CONTINUUM_DATA(I_FIRST_RECORD, LENGTH_SET
     &   , U_SET, DENSITY_BROAD, TRANS_SET
     &   , N_PER_TRANS_RECORD
     &   )
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_pp.ucf'
      INCLUDE 'incl/def_pp_io.icf'
!
!     DUMMY ARGUMENTS.
      INTEGER	!, INTENT(IN)
     &     I_FIRST_RECORD
!             FIRST RECORD OF DIRECT ACCESS
     &   , LENGTH_SET
!             LENGTH OF DATA SET
     &   , N_PER_TRANS_RECORD
!             NUMBER PER TRANSMISSION RECORD
      REAL*8	!, INTENT(OUT)
     &     U_SET(NPD_AMOUNT)
!             AMOUNTS OF ASBORBER
     &   , DENSITY_BROAD(NPD_AMOUNT)
!             DENSITY OF BROADENING SPECIES
     &   , TRANS_SET(NPD_AMOUNT)
!             TRANSMISSIONS
!
!     LOCAL VARIABLES
      INTEGER
     &     N_RECORD
!             NUMBER OF RECORDS
     &   , N_EXCESS
!             EXCESS NUMBER OF DATA POINTS
     &   , I_REC
!             POINTER TO RECORD
     &   , I
!             LOOP VARIABLE
     &   , J
!             LOOP VARIABLE
!
!
      N_RECORD=LENGTH_SET/N_PER_TRANS_RECORD
      N_EXCESS=LENGTH_SET-N_RECORD*N_PER_TRANS_RECORD
      DO I=1, N_RECORD
         I_REC=I_FIRST_RECORD-1+I
         READ(IU_TRANSMISSION, REC=I_REC) (U_SET(J), DENSITY_BROAD(J)
     &      , TRANS_SET(J)
     &      , J=N_PER_TRANS_RECORD*(I-1)+1, N_PER_TRANS_RECORD*I)
      ENDDO
      IF (N_EXCESS.GT.0) THEN
         I_REC=I_FIRST_RECORD+N_RECORD
         READ(IU_TRANSMISSION, REC=I_REC) (U_SET(J), DENSITY_BROAD(J)
     &      , TRANS_SET(J)
     &      , J=LENGTH_SET-N_EXCESS+1, LENGTH_SET)
      ENDIF
!
!
      RETURN
      END
